Table of Contents

Module: task | Twisted-0.17.4/twisted/internet/task.py
--- | ---

A task scheduler that is integrated with the main event loop.

When using this module, never do:

        | from twisted.internet.task import schedule
        | schedule(foo)

Instead, do:

        | from twisted.internet import task
        | task.schedule(foo)

Imported modules |
--- | ---
import main from twisted.python import threadable, log, delay, failure
Functions |
doAllTasks initThreads
| doAllTasks

    doAllTasks ()

Run all tasks in the scheduler.

| initThreads

    initThreads ()

Classes |

Scheduler | I am a non-thread-safe delayed scheduler for synchronous event loops.
Task | I am a set of steps that get executed.
ThreadedScheduler | I am a thread-aware delayed scheduler of for synchronous event loops.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0